Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics
Class BlurImage

    java.lang.Object
      org.deegree.graphics.BlurImage

    public class BlurImage

extends Object

Display map surface depending on the security parameters. The rest of the Map Image will be blurred allowing the user a clear view of only the allowed surface.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Anup Deshmukh, last edited by: $Author: mschneider $

Constructor Summary
`BlurImage()`

Method Summary
`BufferedImage` | `renderUserRealm(BufferedImage image, Envelope bbox, Geometry geom)` Render the surface geometry the user is allowed to see.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlurImage

    public BlurImage()

Method Detail

### renderUserRealm

    public BufferedImage renderUserRealm(BufferedImage image,
                                         Envelope bbox,
                                         Geometry geom)
                                  throws GeometryException,
                                         XMLParsingException

  Render the surface geometry the user is allowed to see. The geometry must be within the bounding box of the map image. 1. Geometry contains bbox -> no need to blur the image 2. Geometry complety within bbox. 3. BBOX intersects Geometry a. Returns a MultiSurface b. Returns a Surface 4. BBOX disjunkt Geometry

  Parameters:
    `image` -
    `bbox` -
    `geom` -
  Returns:
    BufferedImage
  Throws:
    `GeometryException`
    `XMLParsingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org